package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import de.hybris.platform.jalo.enumeration.EnumerationValue;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class LpgContactUpdate extends GenericItem
{
    public static final String OLDCONTACTNUMBER = "oldContactNumber";
    public static final String NEWCONTACTNUMBER = "newContactNumber";
    public static final String LPGID = "lpgId";
    public static final String VERIFICATIONPARAM = "verificationParam";
    public static final String VERIFICATIONMODE = "verificationMode";
    public static final String CONSUMERNUMBER = "consumerNumber";
    public static final String DISTCODE = "distCode";
    public static final String STATUS = "status";
    public static final String REMARKS = "remarks";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return LpgContactUpdate.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public String getConsumerNumber(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "consumerNumber".intern());
    }
    
    public String getConsumerNumber() {
        return this.getConsumerNumber(this.getSession().getSessionContext());
    }
    
    public void setConsumerNumber(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "consumerNumber".intern(), (Object)value);
    }
    
    public void setConsumerNumber(final String value) {
        this.setConsumerNumber(this.getSession().getSessionContext(), value);
    }
    
    public String getDistCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "distCode".intern());
    }
    
    public String getDistCode() {
        return this.getDistCode(this.getSession().getSessionContext());
    }
    
    public void setDistCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "distCode".intern(), (Object)value);
    }
    
    public void setDistCode(final String value) {
        this.setDistCode(this.getSession().getSessionContext(), value);
    }
    
    public String getLpgId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "lpgId".intern());
    }
    
    public String getLpgId() {
        return this.getLpgId(this.getSession().getSessionContext());
    }
    
    public void setLpgId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "lpgId".intern(), (Object)value);
    }
    
    public void setLpgId(final String value) {
        this.setLpgId(this.getSession().getSessionContext(), value);
    }
    
    public String getNewContactNumber(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "newContactNumber".intern());
    }
    
    public String getNewContactNumber() {
        return this.getNewContactNumber(this.getSession().getSessionContext());
    }
    
    public void setNewContactNumber(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "newContactNumber".intern(), (Object)value);
    }
    
    public void setNewContactNumber(final String value) {
        this.setNewContactNumber(this.getSession().getSessionContext(), value);
    }
    
    public String getOldContactNumber(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "oldContactNumber".intern());
    }
    
    public String getOldContactNumber() {
        return this.getOldContactNumber(this.getSession().getSessionContext());
    }
    
    public void setOldContactNumber(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "oldContactNumber".intern(), (Object)value);
    }
    
    public void setOldContactNumber(final String value) {
        this.setOldContactNumber(this.getSession().getSessionContext(), value);
    }
    
    public String getRemarks(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "remarks".intern());
    }
    
    public String getRemarks() {
        return this.getRemarks(this.getSession().getSessionContext());
    }
    
    public void setRemarks(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "remarks".intern(), (Object)value);
    }
    
    public void setRemarks(final String value) {
        this.setRemarks(this.getSession().getSessionContext(), value);
    }
    
    public EnumerationValue getStatus(final SessionContext ctx) {
        return (EnumerationValue)this.getProperty(ctx, "status".intern());
    }
    
    public EnumerationValue getStatus() {
        return this.getStatus(this.getSession().getSessionContext());
    }
    
    public void setStatus(final SessionContext ctx, final EnumerationValue value) {
        this.setProperty(ctx, "status".intern(), (Object)value);
    }
    
    public void setStatus(final EnumerationValue value) {
        this.setStatus(this.getSession().getSessionContext(), value);
    }
    
    public String getVerificationMode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "verificationMode".intern());
    }
    
    public String getVerificationMode() {
        return this.getVerificationMode(this.getSession().getSessionContext());
    }
    
    public void setVerificationMode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "verificationMode".intern(), (Object)value);
    }
    
    public void setVerificationMode(final String value) {
        this.setVerificationMode(this.getSession().getSessionContext(), value);
    }
    
    public String getVerificationParam(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "verificationParam".intern());
    }
    
    public String getVerificationParam() {
        return this.getVerificationParam(this.getSession().getSessionContext());
    }
    
    public void setVerificationParam(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "verificationParam".intern(), (Object)value);
    }
    
    public void setVerificationParam(final String value) {
        this.setVerificationParam(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("oldContactNumber", Item.AttributeMode.INITIAL);
        tmp.put("newContactNumber", Item.AttributeMode.INITIAL);
        tmp.put("lpgId", Item.AttributeMode.INITIAL);
        tmp.put("verificationParam", Item.AttributeMode.INITIAL);
        tmp.put("verificationMode", Item.AttributeMode.INITIAL);
        tmp.put("consumerNumber", Item.AttributeMode.INITIAL);
        tmp.put("distCode", Item.AttributeMode.INITIAL);
        tmp.put("status", Item.AttributeMode.INITIAL);
        tmp.put("remarks", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
